Subject: Solving the foreign ULA source address selection problem using rule 5.5

From: Ted Lemon <[email-masked]>
Date: Tue, 22 Mar 2022 20:47:49 +0100

Jen Linkova proposed using rule 5.5 to solve the source address selection
problem I described today in the meeting. Unfortunately, I don't think rule
5.5 helps here: the problem is that the internal router isn't advertising
any on-link prefix, and we probably don't want it to. So there is no
"prefix advertised by the next-hop" in this case.

This is not to say that implementing rule 5.5 is not worth doing—it just
won't solve this particular problem.